## ros-melodic-openrtm-aist 1.1.2

=== src/lib/doil/utils/omniidl_be/tests/Makefile ===
all: RTC
OMNIIDL=PYTHONPATH=$(PYTHONPATH):../../ omniidl

CXXFLAGS= \
	-fPIC -c \
	-I. \
	-I../../../../ \
	-I../../../../coil/include \
	-I../../../../rtc/corba/idl

SERVANTS_OBJ=\
	ComponentActionServant.o \
	ConfigurationServant.o \
	DataFlowComponentActionServant.o \
	DataFlowComponentServant.o \
	ExecutionContextServant.o \
	ExecutionContextServiceServant.o \
	FsmObjectServant.o \
	FsmParticipantActionServant.o \
	FsmParticipantServant.o \
	FsmServant.o \
	FsmServiceServant.o \
	LightweightRTObjectServant.o \
	ModeCapableServant.o \
	ModeServant.o \
	MonitoringServant.o \
	MultiModeComponentActionServant.o \
	MultiModeObjectServant.o \
	OrganizationServant.o \
	PortServiceServant.o \
	RTObjectServant.o \
	SDOServant.o \
	SDOServiceServant.o \
	SDOSystemElementServant.o
%.o : %.c
	$(CC) -c $(CXXFLAGS) $< -o $@

help:
	$(OMNIIDL) -bdoil -u

#		-Wbm=rtc_doil.map 

interface:
	rm -f *.gch
	$(OMNIIDL) -bdoil -Wbi=SDOPackageTypes.h \
		-Wbinterface -Wbimplicit \
		-Wbins=Local ./RTC.idl
	$(OMNIIDL) -bdoil \
		-Wbinterface -Wbimplicit \
		-Wbins=Local ./SDOPackage.idl
#	g++ -I../../../../ -I. I*.h *Types.h

servant:
	rm -f *.gch *Servant.h
	$(OMNIIDL) -bdoil -Wbi=SDOPackageTypes.h \
		-Wbi=rtc/corba/idl/RTCSkel.h \
		-Wbi=SDOPackageTypeConversion.h \
		-Wbcorbaservant -Wbimplicit \
		-Wbins=Local -Wbsns=CORBA ./RTC.idl
	$(OMNIIDL) -bdoil -Wbi=rtc/corba/idl/SDOPackageSkel.h \
		-Wbcorbaservant -Wbimplicit \
		-Wbins=Local -Wbsns=CORBA ./SDOPackage.idl
	g++ $(CXXFLAGS)  SDOPackageTypeConversion.cpp
	g++ -shared -o SDOPackageTypeConversion.so SDOPackageTypeConversion.o
#	strip SDOPackageTypeConversion.so
	g++ $(CXXFLAGS) RTCTypeConversion.cpp
	g++ -shared -o RTCTypeConversion.so RTCTypeConversion.o
#	strip RTCTypeConversion.so
	g++ -shared -o TypeConversion.so SDOPackageTypeConversion.o RTCTypeConversion.o
#	strip TypeConversion.so
	ls -al *.so
#	g++ $(CXXFLAGS) *Servant.h

servant_o: $(SERVANTS_OBJ)

adapter:
	rm -f *.gch
	$(OMNIIDL) -bdoil -Wbi=SDOPackageTypes.h \
		-Wbcorbaadapter -Wbimplicit \
		-Wbans=CORBA ./RTC.idl
	$(OMNIIDL) -bdoil \
		-Wbcorbaservant -Wbimplicit \
		-Wbans=CORBA ./SDOPackage.idl
	g++ -I../../../../ -I../../../../coil/include *.h


clean:
	rm -f *~
	rm -f *Servant*
	rm -f *Adapter*
	rm -f *TypeConversion*
	rm -f *Types*
	rm -f I*.h
	rm -f *.gch

=== debian/changelog ===
ros-melodic-openrtm-aist (1.1.2-7bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 14 Apr 2020 15:15:23 -0000

=== debian/control ===
Source: ros-melodic-openrtm-aist
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), automake, cmake, doxygen, libltdl-dev, libomniorb4-dev, libtool, libtool-bin, omniidl, omniorb, omniorb-idl, omniorb-nameserver, pkg-config, python-dev, uuid-dev
Homepage: http://ros.org/wiki/openrtm_aist
Standards-Version: 3.9.2

Package: ros-melodic-openrtm-aist
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libomniorb4-dev, omniidl, omniorb, omniorb-idl, omniorb-nameserver, ros-melodic-catkin, uuid-dev
Description: This package represents OpenRTM-aist that's built within ROS eco system.
 Although being ROS-agnostic by itself, you can use this via ROS together with the packages in rtmros_common that bridge between two framework. OpenRTM-aist is an RT-Middleware-baseed, component-oriented software platform to robotics development that is made and maintained in AIST (National Institute of Advanced Industrial Science and Technology) in Japan (excerpts from here) Its development is happening at openrtm.org/pub/OpenRTM-aist. The repository listed below is where the development of its ROS wrapper happening.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-openrtm-aist//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
